from __calcularR import calcularR
from __minimo import minimo


def crear_evaluar (N, largo, bits):
	def evaluar (zeta):
		R = calcularR (N, largo, zeta, mostrar=False)
		valido = (R != None and R >= 2 ** bits)
		return valido
	return evaluar


def encontrar_zetaVer (N, largo, bits, mostrar=False):
	evaluar = crear_evaluar (N, largo, bits)
	zeta = minimo (evaluar, mostrar)
	return zeta


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 128
	largo = 64
	N = 70

	zeta = encontrar_zetaVer (N, largo, bits, mostrar=True)

	print ('bits, largo, N = ' + str ((bits, largo, N)))
	print ('zeta = ' + str (zeta))

