from __optimizar_division import optimizar_division
from __calcularcosto import calcularcosto


def constantes (bits=256, largo=28):
		bases, L = optimizar_division (bits, largo)
		
		z = tuple ([n - 1 for n in bases])

		# if z is 0, length should be also 0
		L = list (L)
		for n in (0, 1, 2, 3):
			if z[n] == 0: L[n] = 0	

		return L, z


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 256
	largo = 32

	L, z = constantes (bits, largo)

	print ('bits, largo = ' + str ((bits, largo)))
	print ('constantes L, z = ' + str ((L, z)))

	print ('bases (principal) = ' + repr ([z[0]+1]*L[0] + [z[1]+1]*L[1]))
	print ('bases (checksum) = ' + repr ([z[2]+1]*L[2] + [z[3]+1]*L[3]))

